Create sales orders
const url = 'https://order.shopgate.io/v1/merchants/example/orders';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"orders":[{"externalCode":"000000274","shopCode":"shop_12345","type":"standard","customerId":"55c98b8e-1100-497c-8df6-4b4f0353ab2a","externalCustomerNumber":"C1756793","localeCode":"de-de","currencyCode":"EUR","status":"new","taxExempt":false,"expedited":false,"notes":"Please wrap each item individually.","specialInstructions":"House behind the dumpster","data":"example","addressSequences":[{"type":"pickup","customerContactId":"0b475af4-7ed9-4065-b4bb-7d76c537d820","firstName":"Max","middleName":"René","lastName":"Muster","company":"Shopgate GmbH","address1":"Schloßstr. 10","address2":"Haus B","address3":"erste Etage","address4":null,"city":"Butzbach","region":"HE","postalCode":"\"35510\"","country":"DE","additionalFields":{"dhlPostBoxNumber":"example","dhlPostNumber":"example"},"phone":"+49 12345 6789 001","fax":"+49 12345 6789 002","mobile":"+49 12345 6789 003","emailAddress":"max.muster@shopgate.com","orderSegment":{"selectedShippingMethod":{"code":"standardShipping","serviceLevel":{"code":"standard","cost":4.99,"carrier":{"code":"DHL"}}}}}],"primaryBillToAddressSequenceIndex":1,"primaryShipToAddressSequenceIndex":1,"coupons":[{"code":"SUMMER2020","name":"Coupon for Summer 2020","limits":{"overall":500,"maxPerCustomer":1},"status":"active","couponSet":null,"promotion":{"code":"promo","name":"Promo with Coupon"}}],"appliedPromotions":[{"code":"2020summerPromotion","name":"Summer Promotion for 2020","model":"simpleDiscount","description":"This promotion is for our summer coupons","promotionalText":"This coupons gives you 10% off to celebrate the summer 2020","status":"active","startDate":"2020-07-01T00:00:000","endDate":"2020-07-01T00:00:000","target":"order","type":"coupon","discount":{"type":"percentage","amount":10},"conditions":{"$and":[{"subTotal":{"gte":100}},{"$or":[{"fulfillmentMethod":{"$in":["directShip","BOPIS","ROPIS"]}},{"customer.segment.code":{"$in":["employees","contractors"]}}]}]},"impact":{"conditions":{"lineItem.product.categoryCode":{"$in":["shirts"]},"lineItem.quantity":1},"automaticallyAddedToCart":false},"coupon":{"code":"summer2020","name":"Coupon 10off for the summer 2020","limits":{"overall":10,"maxPerCustomer":null}},"couponSet":null,"limitConditions":{"maxOverallUsageCount":100,"maxCustomerUsageCount":1,"maxUsagePerOrder":1,"cantBeCombinedWithPromotionCode":{"$in":["bogo1"]}}}],"lineItems":[{"code":"386","parentLineItemCode":"286","quantity":1,"fulfillmentMethod":"directShip","fulfillmentLocationCode":"DERetail001","shipToAddressSequenceIndex":1,"product":{"code":"24-MB02","name":"Fusion Backpack","image":"https://myawesomeshop.com/images/img1.jpg","price":59.99,"salePrice":39.99,"currencyCode":"EUR","identifiers":{"mfgPartNum":"100-440-0.750-3434-A","upc":"\"72527273070\"","ean":"\"401234567890\"","isbn":"978-3-16-148410-0","sku":"UGG-BB-PUR-06","distiPartNum":"\"235454356363\""},"options":[{"code":"color","name":"Color","value":{"code":"red","name":"Red"}}]},"currencyCode":"EUR","shippingAmount":1,"taxAmount":0,"tax2Amount":0,"taxExempt":true,"unitPromoAmount":0,"unitDiscountAmount":0,"discountAmount":0,"promoAmount":0,"overrideAmount":1,"extendedPrice":72,"price":79.98,"substitutionAllowed":true,"fulfillmentSlot":{"id":"5_2019-09-03","date":"2019-09-03","weekday":"fri","from":"08:00","to":"08:59","status":"active","orderCount":10},"appliedPromotions":[{"code":"2020summerPromotion","name":"Summer Promotion for 2020","model":"simpleDiscount","description":"This promotion is for our summer coupons","promotionalText":"This coupons gives you 10% off to celebrate the summer 2020","status":"active","startDate":"2020-07-01T00:00:000","endDate":"2020-07-01T00:00:000","target":"order","type":"coupon","discount":{"type":"percentage","amount":10},"conditions":{"$and":[{"subTotal":{"gte":100}},{"$or":[{"fulfillmentMethod":{"$in":["directShip","BOPIS","ROPIS"]}},{"customer.segment.code":{"$in":["employees","contractors"]}}]}]},"impact":{"conditions":{"lineItem.product.categoryCode":{"$in":["shirts"]},"lineItem.quantity":1},"automaticallyAddedToCart":false},"coupon":{"code":"summer2020","name":"Coupon 10off for the summer 2020","limits":{"overall":10,"maxPerCustomer":null}},"couponSet":null,"limitConditions":{"maxOverallUsageCount":100,"maxCustomerUsageCount":1,"maxUsagePerOrder":1,"cantBeCombinedWithPromotionCode":{"$in":["bogo1"]}}}]}],"subTotal":65.98,"discountAmount":0,"promoAmount":0,"shippingSubTotal":3.99,"shippingDiscountAmount":0,"shippingPromoAmount":-2,"shippingTotal":1.99,"taxAmount":0,"tax2Amount":0,"taxSummary":[{"code":"default_19","name":"19%","amount":1.5}],"total":64.97,"submitDate":"2019-09-02T09:02:57.733Z","fulfillDate":"2019-09-03T15:02:32.733Z","completeDate":"2019-09-03T15:02:57.733Z","sourceIp":"85.45.62.2","userAgent":"Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0","domain":"www.mydomain.com","platform":"engage","os":"ios","imported":false,"campaignAttribution":{"campaignCode":"CMP-1","channel":"push","distributionIndex":0}}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://order.shopgate.io/v1/merchants/example/orders \ --header 'Content-Type: application/json' \ --data '{ "orders": [ { "externalCode": "000000274", "shopCode": "shop_12345", "type": "standard", "customerId": "55c98b8e-1100-497c-8df6-4b4f0353ab2a", "externalCustomerNumber": "C1756793", "localeCode": "de-de", "currencyCode": "EUR", "status": "new", "taxExempt": false, "expedited": false, "notes": "Please wrap each item individually.", "specialInstructions": "House behind the dumpster", "data": "example", "addressSequences": [ { "type": "pickup", "customerContactId": "0b475af4-7ed9-4065-b4bb-7d76c537d820", "firstName": "Max", "middleName": "René", "lastName": "Muster", "company": "Shopgate GmbH", "address1": "Schloßstr. 10", "address2": "Haus B", "address3": "erste Etage", "address4": null, "city": "Butzbach", "region": "HE", "postalCode": "\"35510\"", "country": "DE", "additionalFields": { "dhlPostBoxNumber": "example", "dhlPostNumber": "example" }, "phone": "+49 12345 6789 001", "fax": "+49 12345 6789 002", "mobile": "+49 12345 6789 003", "emailAddress": "max.muster@shopgate.com", "orderSegment": { "selectedShippingMethod": { "code": "standardShipping", "serviceLevel": { "code": "standard", "cost": 4.99, "carrier": { "code": "DHL" } } } } } ], "primaryBillToAddressSequenceIndex": 1, "primaryShipToAddressSequenceIndex": 1, "coupons": [ { "code": "SUMMER2020", "name": "Coupon for Summer 2020", "limits": { "overall": 500, "maxPerCustomer": 1 }, "status": "active", "couponSet": null, "promotion": { "code": "promo", "name": "Promo with Coupon" } } ], "appliedPromotions": [ { "code": "2020summerPromotion", "name": "Summer Promotion for 2020", "model": "simpleDiscount", "description": "This promotion is for our summer coupons", "promotionalText": "This coupons gives you 10% off to celebrate the summer 2020", "status": "active", "startDate": "2020-07-01T00:00:000", "endDate": "2020-07-01T00:00:000", "target": "order", "type": "coupon", "discount": { "type": "percentage", "amount": 10 }, "conditions": { "$and": [ { "subTotal": { "gte": 100 } }, { "$or": [ { "fulfillmentMethod": { "$in": [ "directShip", "BOPIS", "ROPIS" ] } }, { "customer.segment.code": { "$in": [ "employees", "contractors" ] } } ] } ] }, "impact": { "conditions": { "lineItem.product.categoryCode": { "$in": [ "shirts" ] }, "lineItem.quantity": 1 }, "automaticallyAddedToCart": false }, "coupon": { "code": "summer2020", "name": "Coupon 10off for the summer 2020", "limits": { "overall": 10, "maxPerCustomer": null } }, "couponSet": null, "limitConditions": { "maxOverallUsageCount": 100, "maxCustomerUsageCount": 1, "maxUsagePerOrder": 1, "cantBeCombinedWithPromotionCode": { "$in": [ "bogo1" ] } } } ], "lineItems": [ { "code": "386", "parentLineItemCode": "286", "quantity": 1, "fulfillmentMethod": "directShip", "fulfillmentLocationCode": "DERetail001", "shipToAddressSequenceIndex": 1, "product": { "code": "24-MB02", "name": "Fusion Backpack", "image": "https://myawesomeshop.com/images/img1.jpg", "price": 59.99, "salePrice": 39.99, "currencyCode": "EUR", "identifiers": { "mfgPartNum": "100-440-0.750-3434-A", "upc": "\"72527273070\"", "ean": "\"401234567890\"", "isbn": "978-3-16-148410-0", "sku": "UGG-BB-PUR-06", "distiPartNum": "\"235454356363\"" }, "options": [ { "code": "color", "name": "Color", "value": { "code": "red", "name": "Red" } } ] }, "currencyCode": "EUR", "shippingAmount": 1, "taxAmount": 0, "tax2Amount": 0, "taxExempt": true, "unitPromoAmount": 0, "unitDiscountAmount": 0, "discountAmount": 0, "promoAmount": 0, "overrideAmount": 1, "extendedPrice": 72, "price": 79.98, "substitutionAllowed": true, "fulfillmentSlot": { "id": "5_2019-09-03", "date": "2019-09-03", "weekday": "fri", "from": "08:00", "to": "08:59", "status": "active", "orderCount": 10 }, "appliedPromotions": [ { "code": "2020summerPromotion", "name": "Summer Promotion for 2020", "model": "simpleDiscount", "description": "This promotion is for our summer coupons", "promotionalText": "This coupons gives you 10% off to celebrate the summer 2020", "status": "active", "startDate": "2020-07-01T00:00:000", "endDate": "2020-07-01T00:00:000", "target": "order", "type": "coupon", "discount": { "type": "percentage", "amount": 10 }, "conditions": { "$and": [ { "subTotal": { "gte": 100 } }, { "$or": [ { "fulfillmentMethod": { "$in": [ "directShip", "BOPIS", "ROPIS" ] } }, { "customer.segment.code": { "$in": [ "employees", "contractors" ] } } ] } ] }, "impact": { "conditions": { "lineItem.product.categoryCode": { "$in": [ "shirts" ] }, "lineItem.quantity": 1 }, "automaticallyAddedToCart": false }, "coupon": { "code": "summer2020", "name": "Coupon 10off for the summer 2020", "limits": { "overall": 10, "maxPerCustomer": null } }, "couponSet": null, "limitConditions": { "maxOverallUsageCount": 100, "maxCustomerUsageCount": 1, "maxUsagePerOrder": 1, "cantBeCombinedWithPromotionCode": { "$in": [ "bogo1" ] } } } ] } ], "subTotal": 65.98, "discountAmount": 0, "promoAmount": 0, "shippingSubTotal": 3.99, "shippingDiscountAmount": 0, "shippingPromoAmount": -2, "shippingTotal": 1.99, "taxAmount": 0, "tax2Amount": 0, "taxSummary": [ { "code": "default_19", "name": "19%", "amount": 1.5 } ], "total": 64.97, "submitDate": "2019-09-02T09:02:57.733Z", "fulfillDate": "2019-09-03T15:02:32.733Z", "completeDate": "2019-09-03T15:02:57.733Z", "sourceIp": "85.45.62.2", "userAgent": "Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0", "domain": "www.mydomain.com", "platform": "engage", "os": "ios", "imported": false, "campaignAttribution": { "campaignCode": "CMP-1", "channel": "push", "distributionIndex": 0 } } ] }'Create sales orders
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Unique merchant code which represents the unique “merchant account”.
Request Body
Section titled “Request Body”object
object
External order id
Example
000000274Code of the source shop.
Example
shop_12345Customer identifier
Example
55c98b8e-1100-497c-8df6-4b4f0353ab2aA customer number / reference to an external system.
Example
C17567935-character locale code - normalized to lowercase with dash separator. e.g. ‘en-us’.
Example
de-deExample
EURIndicates if the order needs to be threated expediently
Example
falseCustomer notes where the shopper can provide special instructions. The notes are shown in the In-Store App & Admin.
Example
Please wrap each item individually.Special instructions of the order. It can contain special shipping or fulfillment instructions
Example
House behind the dumpsterobject
Example
0b475af4-7ed9-4065-b4bb-7d76c537d820Example
MaxExample
RenéExample
MusterExample
Shopgate GmbHThis field is required if used as shipping address for direct ship
Example
Schloßstr. 10Example
Haus BExample
erste EtageExample
nullThis field is required if used as shipping address for direct ship
Example
ButzbachExample
HEThis field is required if used as shipping address for direct ship
Example
"35510"ISO 3166 ALPHA-2 / ISO 3166-2 Country Code. This field is required if used as shipping address for direct ship
Example
DEobject
Number of a postbox
Number of a post
Validated according to country code
Example
+49 12345 6789 001Validated according to country code
Example
+49 12345 6789 002Validated according to country code
Example
+49 12345 6789 003Example
max.muster@shopgate.comobject
object
Example
standardShippingobject
Example
standardExample
4.99object
Example
DHLPosition in the AddressSequences-Array, mandatory for all fulfillment methods that include billing like directShip and BOPIS
Position in the AddressSequences-Array, mandatory for all fulfillment methods that include shipping like directShip
Coupon of the order. If the order is in the status new only the code needs to be passed For all other status the whole object should to be filled out with to have all information of the coupons persist for transparency purposes.
object
Code of the coupon
Name of the coupon
object
Limit for the overall usage of this coupon
Example
10Indicates how often this coupon can be used per customer
Example
1object
Example
2020summerCouponsExample
All Summer Coupons for 2020object
Example
2020summerPromotionName of the Coupon
Example
Coupons 10offExample
{ "code": "SUMMER2020", "name": "Coupon for Summer 2020", "limits": { "overall": 500, "maxPerCustomer": 1 }, "status": "active", "couponSet": null, "promotion": { "code": "promo", "name": "Promo with Coupon" }}Applied promotions of the order. If the order is in the status new this parameter will be ignored. The system will automatically calc the promotions for the order
object
Example
2020summerPromotionExample
Summer Promotion for 2020Example
This promotion is for our summer couponsPromotional text that will be displayed to the customer
Example
This coupons gives you 10% off to celebrate the summer 2020Example
2020-07-01T00:00:000Example
2020-07-01T00:00:000Example
couponobject
Example
10object
Example
{ "$and": [ { "subTotal": { "gte": 100 } }, { "$or": [ { "fulfillmentMethod": { "$in": [ "directShip", "BOPIS", "ROPIS" ] } }, { "customer.segment.code": { "$in": [ "employees", "contractors" ] } } ] } ]}Describes the impact of the promotion to specific line items. This only applies to BOGO promotions
object
Condition for products which should be impacted by the promotion
This only applies to BOGO promotions.
Available condition fields are:
- lineItem.product.code
- lineItem.product.categoryCode
- lineItem.product.price
- lineItem.product.salePrice
- lineItem.product.quantity
- lineItem.product.options.<optionsCode>
- lineItem.product.properties.<propertyCode>
Indicates if the product which the customer would receive is automatically added to the cart. This only applies if the condition has one rule with a single product code
Example
{ "conditions": { "lineItem.product.categoryCode": { "$in": [ "shirts" ] }, "lineItem.quantity": 1 }, "automaticallyAddedToCart": false}object
Unique coupon code. This code can be used by the end customer to activate a promotion in his cart.
Example
summer2020Name of the Coupon
Example
Coupons 10offobject
Limit for the overall usage of this coupon
Example
10Indicates how often this coupon can be used per customer
Example
1Example
{ "code": "summer2020", "name": "Coupon 10off for the summer 2020", "limits": { "overall": 10, "maxPerCustomer": null }}object
Example
2020summerSaleCouponsOnly available and must be set for generated couponSet type.
Example
20Example
All summer sale coupons for 2020Example
This coupon set contains all coupons for 2020Example
summer2020-Example
-covidExample
nullSet the limits how often the promotion can be used by a customer and with which other promotion it can be combined. For the field cantBeCombinedWithPromotionCode promotion code(s) can be given or a special code anyProductPromotions|anyOrderPromotions that will exclude any product|order promotion when it gets calculated. Available condition fields are:
- maxOverallUsageCount
- maxCustomerUsageCount
- maxUsagePerOrder (only works for target=product)
- cantBeCombinedWithPromotionCode
Example
{ "maxOverallUsageCount": 100, "maxCustomerUsageCount": 1, "maxUsagePerOrder": 1, "cantBeCombinedWithPromotionCode": { "$in": [ "bogo1" ] }}object
Identifier for the line item. Needs to be unique within the sales order.
Example
386Identifier for the parent line item. Needs to be unique within the sales order.
Example
286Example
1Example
ROPISExample
DERetail001Index of the address in the address sequence array where it should be shipped to
object
Product code
Example
24-MB02Product name
Example
Fusion BackpackMain image url of the product
Example
https://myawesomeshop.com/images/img1.jpgMain price of the product
Example
59.99Sale price of the product
Example
39.99Example
EURobject
Example
100-440-0.750-3434-AExample
"72527273070"Example
"401234567890"Example
978-3-16-148410-0Example
UGG-BB-PUR-06Example
"235454356363"object
Example
colorExample
Colorobject
Example
redExample
RedExample
EURTax amount of the first tax group (e.g. for german taxes this is an absolut number based on either 7% or 19% of the order total; the order total is 10.00 EUR so the taxAmount is 10.00 EUR * 0.19 = 1.9 EUR)
Tax amount of the second tax group (can be used for additional taxes like for example US state taxes)
Amount of all applied promotions for a single unit (single quantity).
Example
-4Amount of all applied discounts (promotions with coupons) for a single unit (single quantity).
Example
-3Total amount of all applied promotions with coupons for the line item. (Formula: lineItem.unitDiscountAmount * lineItem.quantity)
Example
-6Total amount of all applied promotions for the line item. (Formula: lineItem.unitPromoAmount * lineItem.quantity)
Example
-8The extended Price is the final price of the line item, including all discounts & promotions that apply to this line item, and also already multiplied with the quantity. Formula: (product.price or product.salePrice if not empty) * quantity + promoAmount + discountAmount. Example: A product original price is 60€ (product.price), but it is on sale for 40€ (product.salePrice). Ordered quantity is 2, there is no discount but there is a promotion that applies to this product and gives 10% additional discount (unitPromoAmount = 4€, promoAmount = 8€). The extended price of this line item should be (40€ * 2) + (-8€) = 72€.
Example
72Price of the line item. Formula: (product.price or product.salePrice if not empty) * quantity
Example
79.98Determines if a substitution is allowed for this line item.
object
Id of the fulfillment slot
Example
5_2019-09-03Hour and minute of the day where the time should start
Example
08:00Example
08:59Limit of orders which can be placed in this slot. This value can only be set for the type fulfillmentSlot
Example
20Example
{ "id": "5_2019-09-03", "date": "2019-09-03", "weekday": "fri", "from": "08:00", "to": "08:59", "status": "active", "orderCount": 10}Applied promotions of the order. If the order is in the status new this parameter will be ignored. The system will automatically calc the promotions for the order
object
Example
2020summerPromotionExample
Summer Promotion for 2020Example
This promotion is for our summer couponsPromotional text that will be displayed to the customer
Example
This coupons gives you 10% off to celebrate the summer 2020Example
2020-07-01T00:00:000Example
2020-07-01T00:00:000Example
couponobject
Example
10object
Example
{ "$and": [ { "subTotal": { "gte": 100 } }, { "$or": [ { "fulfillmentMethod": { "$in": [ "directShip", "BOPIS", "ROPIS" ] } }, { "customer.segment.code": { "$in": [ "employees", "contractors" ] } } ] } ]}Describes the impact of the promotion to specific line items. This only applies to BOGO promotions
object
Condition for products which should be impacted by the promotion
This only applies to BOGO promotions.
Available condition fields are:
- lineItem.product.code
- lineItem.product.categoryCode
- lineItem.product.price
- lineItem.product.salePrice
- lineItem.product.quantity
- lineItem.product.options.<optionsCode>
- lineItem.product.properties.<propertyCode>
Indicates if the product which the customer would receive is automatically added to the cart. This only applies if the condition has one rule with a single product code
Example
{ "conditions": { "lineItem.product.categoryCode": { "$in": [ "shirts" ] }, "lineItem.quantity": 1 }, "automaticallyAddedToCart": false}object
Unique coupon code. This code can be used by the end customer to activate a promotion in his cart.
Example
summer2020Name of the Coupon
Example
Coupons 10offobject
Limit for the overall usage of this coupon
Example
10Indicates how often this coupon can be used per customer
Example
1Example
{ "code": "summer2020", "name": "Coupon 10off for the summer 2020", "limits": { "overall": 10, "maxPerCustomer": null }}object
Example
2020summerSaleCouponsOnly available and must be set for generated couponSet type.
Example
20Example
All summer sale coupons for 2020Example
This coupon set contains all coupons for 2020Example
summer2020-Example
-covidExample
nullSet the limits how often the promotion can be used by a customer and with which other promotion it can be combined. For the field cantBeCombinedWithPromotionCode promotion code(s) can be given or a special code anyProductPromotions|anyOrderPromotions that will exclude any product|order promotion when it gets calculated. Available condition fields are:
- maxOverallUsageCount
- maxCustomerUsageCount
- maxUsagePerOrder (only works for target=product)
- cantBeCombinedWithPromotionCode
Example
{ "maxOverallUsageCount": 100, "maxCustomerUsageCount": 1, "maxUsagePerOrder": 1, "cantBeCombinedWithPromotionCode": { "$in": [ "bogo1" ] }}The subtotal of the order (Formula: Sum of all lineItem.extendedPrice)
Example
65.98Total amount of all applied promotions with coupons on order level. Without line item level promotions, since these are already included in the order subtotal.
Example
0Total amount of all applied promotions on order level. Without line item level promotions, since these are already included in the order subtotal.
Example
-5The original shipping costs, without any discounts or promotions
Example
3.99Discounts on the shipping costs because of a couppon
Example
0Discounts on the shipping costs because of an (automatically applied) promotion
Example
-2The final shipping costs including shippingDiscountAmount & shippingPromoAmount (Formula: shippingSubTotal + shippingDiscountAmount + shippingPromoAmount)
Example
1.99Tax amount of the first tax group (e.g. for german taxes this is an absolut number based on either 7% or 19% of the order total; the order total is 10.00 EUR so the taxAmount is 10.00 EUR * 0.19 = 1.9 EUR)
Tax amount of the second tax group (can be used for additional taxes like for example US state taxes)
object
Example
default_19Example
19%Example
1.5The final price of the order that the shopper has to pay, including all promotions, discounts, shipping costs etc.
Example
64.97Date when the order was submitted by the customer
Example
2019-09-02T09:02:57.733ZDate when the order status was changed to fulfilled
Example
2019-09-03T15:02:32.733ZDate when the order status was changed to completed
Example
2019-09-03T15:02:57.733ZIP address from the client where the order was placed. It can be a IPv4 or IPv6 address
Example
85.45.62.2The UserAgent string from headers of the incoming request.
Example
Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0The domain from which order came.
Example
www.mydomain.comThe platform from which the order came.
Example
engageOperation system of the source device
Example
iosIndicates if the order has been imported from an external system. Enabling this flag means that there will be no further processes triggered by this order like emitting events, calculating properties like prices, or starting payment transactions.
Example
falseCampaign the order should be attributed to
object
Example
{ "campaignCode": "CMP-1", "channel": "push", "distributionIndex": 0}Responses
Section titled “Responses”object
object
Examplegenerated
{ "errors": [ { "entityIndex": 1, "entity": "example", "entityId": "example", "code": 1, "message": "example", "subentityPath": [ "example" ] } ]}Order not found
default
Section titled “default”Unexpected error
object
Machine readable error code
Human readable error code
Example
{ "code": "internal.database", "message": "Internal Database Error"}
